Subject: Re: [PATCH 1/1] doc: correct doc for glob pathspec

From: Junio C Hamano <[email-masked]>
Date: Mon, 07 Jul 2025 22:04:57 -0700

Russell Hanneken <[email-masked]> writes:

>   - A leading "`**`" followed by a slash means match in all
>     directories. For example, "`**/foo`" matches file or directory
> -   "`foo`" anywhere, the same as pattern "`foo`". "`**/foo/bar`"
> -   matches file or directory "`bar`" anywhere that is directly
> -   under directory "`foo`".
> +   "`foo`" anywhere. "`**/foo/bar`" matches file or directory "`bar`"
> +   anywhere that is directly under directory "`foo`".

So, the change is that the explanation that the pattern `foo` would
match the same as what `**/foo` matches, i.e. a file or directory
whose name is `foo`, either at the top-level or in any subdirectory.

Sounds correct.

Will queue.  Thanks.